image: mkldevops/php:8.0-apache

before_script:
  - symfony composer install --no-scripts

cache:
  paths:
    - vendor

stages:
  - CodingStandards
  - UniTests

phpstan:
  stage: CodingStandards
  script:
    - make stan
  allow_failure: true

php-cs-fixer:
  stage: CodingStandards
  script:
    - make cs-dry
  allow_failure: true

phpunit:
  stage: UniTests
  script:
    - make test-report
  allow_failure: false
  artifacts:
    when: always
    reports:
      junit: report.xml
